<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			rodrigo.hernandez
@cu 				CU-SA-AC-100
@ManagedBean        ProyeccionCotizacionAvaluoMB
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:p="http://primefaces.org/ui"
        id="crearActualizarCapituloForm">

    <h:outputScript library="javascript" name="snc_visor_client.js"
                    target="head" />
    <h:outputStylesheet library="css" name="snc_visor_client.css" />

    <p:spacer height="10" />

    <p:messages id="crearActCapMsgs" showDetail="false" globalOnly="false" />

    <p:fieldset id="crearActualizarCapituloFS">

        <h:panelGrid id="otroCapituloPG" columns="2">

            <h:panelGrid columns="3">
                <h:outputLabel value="Capítulo" styleClass="outputLabelStyle" />

                <h:outputLabel value="*" styleClass="requiredLabelStyle"
                               rendered="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

                <p:spacer
                    rendered="#{!proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

                <p:message for="capitulo" display="icon" id="capituloMsg"
                           rendered="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

            </h:panelGrid>

            <h:inputText style="width:100%" id="capitulo"
                         value="#{proyectarCotizacionAvaluo.nuevoCapitulo.titulo}"
                         required="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}"
                         requiredMessage="Debe ingresar el dato requerido en Capítulo"
                         rendered="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

            <h:outputText
                value="#{proyectarCotizacionAvaluo.nuevoCapitulo.titulo}"
                rendered="#{!proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />


            <h:panelGrid columns="3">
                <h:outputLabel value="Descripción" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <p:message for="descripcion" display="icon" id="descripcionMsg"
                           rendered="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />
                <p:message for="otraDescripcion" display="icon"
                           id="otraDescripcionMsg"
                           rendered="#{!proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />
            </h:panelGrid>

            <h:inputTextarea rows="3" cols="52" required="true" id="descripcion"
                             requiredMessage="Debe ingresar el dato requerido en Descripción"
                             value="#{proyectarCotizacionAvaluo.nuevoCapitulo.descripcion}"
                             rendered="#{proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

            <h:inputTextarea rows="3" cols="52" required="true"
                             id="otraDescripcion"
                             requiredMessage="Debe ingresar el dato requerido en Descripción"
                             value="#{proyectarCotizacionAvaluo.nuevoCapitulo.otraDescripcion}"
                             rendered="#{!proyectarCotizacionAvaluo.banderaEsAdicionCapitulo}" />

            <p:spacer height="10" />
            <p:spacer height="10" />

            <p:outputPanel layout="block" style="text-align:left">

                <p:commandButton value="Aceptar" icon="ui-icon ui-icon-check"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, otraDescOtroCapWV, false)"
                                 update=":proyectarCotizacionAvaluoForm:proyectarCotizacionAvaluoCapitulosFS, 
                                 crearActCapMsgs,
                                 capituloMsg,
                                 otraDescripcionMsg,
                                 descripcionMsg"
                                 action="#{proyectarCotizacionAvaluo.agregarNuevoCapitulo}">
                </p:commandButton>

            </p:outputPanel>

        </h:panelGrid>
    </p:fieldset>
</h:form>


